<?xml version="1.0" encoding="UTF-8"?>
<PropertiesLibrary name="backend" xsi:schemaLocation="properties.xsd"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

	<config name="Global">
		<property key="webServicesTimeout" value="5000" />
		<property key="userID" value="CDEVVRU" />
		<property key="channelID" value="AR" />
		<property key="sqlTimeout" value="2" />
	</config>

	<config name="DDAInquiry">
		<property key="webServicesTimeout" value="5000" />
		<property key="serviceName" value="DDAInqWithACHUmbrellaService" />
		<property key="className" value="com.truist.ddainq.client.DDAAcctInquiry" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/DDAInqWithACHUmbrellaService.serviceagent/DDAInqWithACHUmbrellaEndpoint1" />
	</config>
	<config name="ValidateAcct">
		<property key="webServicesTimeout" value="8000" />
		<property key="serviceName" value="IVRPreAuthService" />
		<property key="className" value="com.truist.preauth.client.ValidateAcct" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/ivrpreauth-1-0-0-eapi-tfc/ivrpreauth" />
		<property key="clientID" value="ef48b2fe03b84376afd36f969b69a5e9" />
		<property key="clientSecret" value="ECd06370B3ea42619D231C1E0465B0Fd" />
	</config>

	<config name="AuthAcctList">
		<property key="serviceName" value="IVRAuthAcctList" />
		<property key="webServicesTimeout" value="8000" />
		<property key="className" value="com.truist.auth.client.GetAuthAcctList" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/ivrauthaccountlist-1-0-0-eapi-tfc/ivrauthacctlist" />
		<property key="clientID" value="ef48b2fe03b84376afd36f969b69a5e9" />
		<property key="clientSecret" value="ECd06370B3ea42619D231C1E0465B0Fd" />
	</config>

	<config name="ClientProfile">
		<property key="serviceName" value="ClientProfileService" />
		<property key="className" value="com.truist.profile.client.ClientProfile" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_CIF/Processes/ProcessStarters/SOAPStarters/ClientProfileService" />
	</config>

	<config name="CPSPaymentUmbrellaCard">
		<property key="webServicesTimeout" value="10000" />
		<property key="serviceName" value="CPSPaymentUmbrellaCard" />
		<property key="className"
			value="com.truist.cps.payment.client.CreditCardPayment" />
		<property key="clientID" value="26075bb47e8747c382593c6dadae9461" />
		<property key="clientSecret" value="6F7Cca27F45E49E48C883F2Bd7431D39" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/cardmaingatewayproxy-1-0-0-eapi-tfc/CARDS-API/Processes/ProcessStarters/SOAPServiceStarters/CPSPaymentUmbrellaEndpoint1" />
	</config>

	<config name="ReadADPAYXRecord">
		<property key="serviceName" value="ReadADPAYXRecordService" />
		<property key="className"
			value="com.truist.paymentHistory.getDetails.client.ReadADPAYXRecord" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/ReadADPAYXRecordService.serviceagent/ReadADPAYXRecordEndpoint1" />
	</config>

	<config name="IVRCallAcctvmod">
		<property key="serviceName" value="IVRCallAcctvmodService" />
		<property key="className"
			value="com.truist.bank.getDetails.client.IVRCallAcctvmod" />
		<property key="IVRApplication" value="VIS" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/IVRCallAcctvmodService.serviceagent/IVRCallAcctvmodEndpoint1" />
	</config>

	<config name="IVRCPSCustomerNameAddress">
		<property key="serviceName" value="IVRCPSCustomerNameAddressService" />
		<property key="className"
			value="com.truist.ivrcps.customeraddress.client.IVRCPSCustomerNameAddress" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/IVRCPSCustomerNameAddressService.serviceagent/IVRCPSCustomerNameAddressEndpoint1" />
	</config>

	<config name="CPSLogOnInfoService">
		<property key="serviceName" value="CPSLogOnInfoService" />
		<property key="className"
			value="com.truist.CPSLogOnInfoService.CPSLogOnInfo.CPSLogOnInfo" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/IVRCPSLogOnInfoService.serviceagent/IVRCPSLogOnInfoEndpoint1" />
	</config>

	<config name="IVRFundsTransfer">
		<property key="serviceName" value="IVRFundsTransferService" />
		<property key="className"
			value="com.truist.fundstransfer.client.IVRFundsTransfer" />
		<property key="ivrAppl" value="P" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/IVRFundsTransferService.serviceagent/IVRFundsTransferEndpoint1" />
	</config>

	<config name="FTMDataEnrichment">
		<property key="serviceName" value="FTMDataEnrichmentService" />
		<property key="className"
			value="com.truist.cif.payeedetails.client.FTMDataEnrichment" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_P2P/Processes/ProcessStarters/SOAPStarters/FTMDataEnrichment.serviceagent/GetCIFEnrichmentDataEndpoint1" />
	</config>

	<config name="TaxInterestSummary">
		<property key="serviceName" value="TaxInterestSummaryService" />
		<property key="className"
			value="com.truist.tax.intrest.client.TaxInterestSummaryDetails" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/TaxInterestSummaryService.serviceagent/TaxInterestSummaryEndpoint1" />
	</config>

	<config name="ObligationInquiry">
		<property key="serviceName" value="ObligationInquiryComposite" />
		<property key="className"
			value="com.truist.busloaninq.client.ObligationInquiry" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_CLIP/Processes/ProcessStarters/SOAPStarters/ObligationInquiryComposite.serviceagent/ObligationInquiryCompositePortEndpoint1" />
	</config>

	<config name="CLAInquiry">
		<property key="serviceName" value="IVRCLAInquiryService" />
		<property key="className" value="com.truist.loaninq.client.IVRCLAInquiry" />
		<property key="application" value="S" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/IVRCLAInquiryService.serviceagent/IVRCLAInquiryEndpoint1" />
	</config>

	<config name="CDIRAInquiry">
		<property key="serviceName" value="CDIRAAccountInquiry" />
		<property key="className"
			value="com.truist.cdirainq.client.CDIRAAccountInquiry" />
		<property key="branchNumber" value="" />
		<property key="function" value="" />
		<property key="transactionID" value="" />
		<property key="operatorID" value="" />
		<property key="workstationID" value="" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_BANKPRO_MISC/Processes/ProcessStarters/SOAPStarters/CDIRAAccountInquiry" />
	</config>

	<config name="IVRINQDebitCard">
		<property key="serviceName" value="IVRINQDebitCard" />
		<property key="className"
			value="com.truist.inqdbcard.client.InquireDebitCardDetails" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_CRLMAINT/WebServiceWizard/DebitCard/intfInquireDebitCardDetails-service.serviceagent/intfwsInquireDebitCardDetailsEndpoint0" />
	</config>

	<config name="BlockReclassUpdate">
		<property key="serviceName" value="BlockReclassUpdate" />
		<property key="className"
			value="com.truist.creditcard.client.UpdateCreditCardStatus" />
		<property key="blockCode" value="V" />
		<property key="reclassCode" value="X" />
		<property key="clientID" value="26075bb47e8747c382593c6dadae9461" />
		<property key="clientSecret" value="6F7Cca27F45E49E48C883F2Bd7431D39" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/cardmaingatewayproxy-1-0-0-eapi-tfc/CARDS-API/Processes/ProcessStarters/SOAPStarters/BlockReclassUpdateService.serviceagent/BlockReclassUpdate" />
	</config>

	<config name="ConstantCreditInquiry">
		<property key="serviceName" value="ConstantCreditInquiry" />
		<property key="className"
			value="com.truist.creditline.client.ConstantCreditInquiry" />
		<property key="application" value="CRL" />
		<property key="transID" value="f" />
		<property key="workstationID" value="" />
		<property key="function" value="" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_BANKPRO_MISC/Processes/ProcessStarters/SOAPStarters/ConstantCreditInquirySOAPStarter" />
	</config>

	<config name="IVRInvalidPin">
		<property key="serviceName" value="IVRInvalidPin" />
		<property key="className" value="com.truist.invalidpin.client.IVRInvalidPIN" />
		<property key="application" value="PHONE24" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/IVRInvalidPinService.serviceagent/IVRInvalidPinEndpoint1" />
	</config>

	<config name="ReplaceDebitCard">
		<property key="serviceName" value="ReplaceDebitCard" />
		<property key="className"
			value="com.truist.service.debitcard.client.DebitCardSoftBlock" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_CRLMAINT/WebServiceWizard/DebitCard/intfCardServices-service.serviceagent/intfwsCardServicesEndpoint0" />
	</config>

	<config name="OrderPlastic">
		<property key="serviceName" value="OrderPlastic" />
		<property key="className"
			value="com.truist.replacement.creditcard.client.CreditCardReplacement" />
		<property key="clientID" value="26075bb47e8747c382593c6dadae9461" />
		<property key="clientSecret" value="6F7Cca27F45E49E48C883F2Bd7431D39" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/cardmaingatewayproxy-1-0-0-eapi-tfc/CARDS-API/Processes/ProcessStarters/SOAPStarters/OrderPlastic.serviceagent/FISOrderPlastic" />
	</config>

	<config name="IVRSSNPIN">
		<property key="serviceName" value="IVRSSNPINService" />
		<property key="className" value="com.truist.ssnpin.client.UpdateClientPIN" />
		<!-- <property key="function" value="V" /> -->
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/IVRSSNPINService.serviceagent/IVRSSNPINEndpoint1" />
	</config>

	<config name="NSFODOptInfo">
		<property key="serviceName" value="NSFODOptInfoService" />
		<property key="className" value="com.truist.optinfo.client.MaintainOptInfo" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_RACM/Processes/ProcessStarters/SOAPStarters/NSFODOptInfoService.serviceagent/NSFODOptInOptOutInterfaceEndpoint1" />
	</config>

	<config name="KOUpdateCollectionARR">
		<property key="serviceName" value="KOUpdateCollectionARR" />
		<property key="className"
			value="com.truist.collectionKOservice.KOUpdatePromisePayDtls.KOUpdateCollectionARR" />
		<property key="channelID" value="KO" />
		<property key="userID" value="IVRIVR" />
		<property key="reasonCode" value="SCPD" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/CollectionsKOService.serviceagent/CollectionKOSystemsEndpoint1" />
	</config>

	<config name="KOUpdateCollectionsScratchPad">
		<property key="serviceName" value="KOUpdateCollectionsScratchPad" />
		<property key="className"
			value="com.truist.collectionKOservice.KOUpdatePromisePayDtls.KOUpdateCollectionsScratchPad" />
		<property key="channelID" value="KO" />
		<property key="userID" value="IVRIVR" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/CollectionsKOService.serviceagent/CollectionKOSystemsEndpoint1" />
	</config>

	<config name="KOUpdatePromisePayDtls">
		<property key="serviceName" value="KOUpdatePromisePayDtls" />
		<property key="className"
			value="com.truist.collectionKOservice.KOUpdatePromisePayDtls.KOUpdatePromisePayDtls" />
		<property key="channelID" value="KO" />
		<property key="userID" value="IVRIVR" />
		<property key="reactionCode" value="PTPB" />
		<property key="reasonCode" value="SCPD" />
		<property key="graceDays" value="003" />
		<property key="numberPromises" value="1" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/CollectionsKOService.serviceagent/CollectionKOSystemsEndpoint1" />
	</config>

	<config name="BankcardPINChangeUmbrella">
		<property key="Client_Id" value="26075bb47e8747c382593c6dadae9461" />
		<property key="Client_secret" value="6F7Cca27F45E49E48C883F2Bd7431D39" />
		<property key="serviceName" value="BankcardPINChangeUmbrellaService" />
		<property key="className"
			value="com.truist.creditcard.bankcardpinchangeumbrellaClient.BankCardPINChangeUmbrellaClient" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/cardmaingatewayproxy-1-0-0-eapi-tfc/CARDS-API/Processes/ProcessStarters/SOAPServiceStarters/BankcardPINChangeUmbrellaService.serviceagent/BankcardPINChangeUmbrellaEndpoint1"/>
	</config>

	<config name="ActivateCard">
		<property key="Client_Id" value="26075bb47e8747c382593c6dadae9461" />
		<property key="Client_secret" value="6F7Cca27F45E49E48C883F2Bd7431D39" />
		<property key="serviceName" value="CardActivation" />
		<property key="className"
			value="com.truist.cardactivation.creditcardClient.CardActivationOperationClient" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/cardmaingatewayproxy-1-0-0-eapi-tfc/CARDS-API/Processes/ProcessStarters/SOAPStarters/CardActivation.serviceagent/CardActivation" />
	</config>

	<config name="ClientProfileOperations">
		<property key="serviceName" value="ClientProfile" />
		<property key="className"
			value="com.truist.clientprofileoperations.clients.ClientProfileOperations" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_CIF/Processes/ProcessStarters/SOAPStarters/ClientProfile.serviceagent/ClientProfileOperationsEndpoint1" />
	</config>

	<config name="ClientSearch">
		<property key="serviceName" value="ClientSearch" />
		<property key="ClientSearchType" value="A" />
		<property key="className"
			value="com.truist.clientsearch.client.ClientSearchOperation" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_CIF/Processes/ProcessStarters/SOAPStarters/ClientSearch" />
	</config>

	<config name="RequestPINMailer">
		<property key="serviceName" value="intfCardServices-service"/>
		<property key="className" value="com.truist.service.debitcard.client.RequestPINMailer"/>
		<property key="webServicesEndpoint" 
			value="http://webservices.bbtnet.com:81/TIBCO_CRLMAINT/WebServiceWizard/DebitCard/intfCardServices-service.serviceagent/intfwsCardServicesEndpoint0"/>
	</config>

	<config name="ChangeDebitCardPIN">
		<property key="serviceName" value="intfCardServices-service"/>
		<property key="className" value="com.truist.service.debitcard.client.ChangeDebitCardPIN"/>
		<property key="webServicesEndpoint" 
			value="http://webservices.bbtnet.com:81/TIBCO_CRLMAINT/WebServiceWizard/DebitCard/intfCardServices-service.serviceagent/intfwsCardServicesEndpoint0"/>
	</config> 

	<config name="IVRDebitCardAuthentication">
		<property key="serviceName" value="IVRCardAuthenticationService" />
		<property key="className"
			value="com.truist.debitcard.cardauthentication.CardAuthentication" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/IVRCardAuthenticationService.serviceagent/IVRCardAuthenticationEndpoint1" />
	</config>

	<config name="PINRequest">
		<property key="serviceName" value="PINRequest" />
		<property key="className"
			value="com.truist.creditcard.pinrequest.PINRequestOperation" />
		<property key="Client_Id" value="26075bb47e8747c382593c6dadae9461" />
		<property key="Client_secret" value="6F7Cca27F45E49E48C883F2Bd7431D39" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/cardmaingatewayproxy-1-0-0-eapi-tfc/CARDS-API/Processes/ProcessStarters/SOAPStarters/PINRequest" />
	</config>

	<config name="UpdateOLBSOAPStarter">
		<property key="serviceName" value="UpdateOLBSOAPStarter" />
		<property key="className"
			value="com.truist.updateolboperation.client.UpdateOLBSOAPStarter" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_CRLMAINT/Processes/ProcessStarters/SOAPStarters/UpdateOLBSOAPStarter" />
	</config>

	<config name="IVRCreditCardAuthentication">
		<property key="serviceName" value="IVRCardAuthentication" />
		<property key="className"
			value="com.truist.creditcard.cardauthentication.CardAuthentication" />
		<property key="Client_Id" value="26075bb47e8747c382593c6dadae9461" />
		<property key="Client_secret" value="6F7Cca27F45E49E48C883F2Bd7431D39" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/cardinqgatewayproxy-1-0-0-eapi-tfc/CARDS-API/Processes/ProcessStarters/SOAPServiceStarters/IVRCardAuthenticationService.serviceagent/IVRCardAuthenticationEndpoint1" />
	</config>

	<config name="CreditCardInquiry">
		<property key="serviceName" value="CreditCardInquiry" />
		<property key="clientID" value="26075bb47e8747c382593c6dadae9461" />
		<property key="clientSecret" value="6F7Cca27F45E49E48C883F2Bd7431D39" />
		<property key="webServicesTimeout" value="15000" />
		<property key="className"
			value="com.truist.creditcard.client.CreditCardBalanceInquiry" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/cardinqgatewayproxy-1-0-0-eapi-tfc/CARDS-API/Processes/ProcessStarters/SOAPStarters/AccountInquiryWithTransactions" />
	</config>

	<config name="CreditCardDetails">
		<property key="serviceName" value="CreditCardInquiry" />
		<property key="clientID" value="26075bb47e8747c382593c6dadae9461" />
		<property key="clientSecret" value="6F7Cca27F45E49E48C883F2Bd7431D39" />
		<property key="webServicesTimeout" value="15000" />
		<property key="className"
			value="com.truist.creditcard.client.CreditCardDetails" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/cardinqgatewayproxy-1-0-0-eapi-tfc/CARDS-API/Processes/ProcessStarters/SOAPStarters/AccountInquiryWithTransactions" />
	</config>

	<config name="XDayAccountLookUp">
		<property key="serviceName" value="XDayAccountLookUp" />
		<property key="className"
			value="com.truist.XDayAccountLookUp.XDayAccountLookUp" />
		<property key="key" value="GenesysOutbound-GENWSQL-PRD" />
	</config>

	<config name="AccountTranslationService">
		<property key="serviceName" value="AccountTranslationService" />
		<property key="className" value="com.truist.AccountTranslationService.AccountTranslationService" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/AccountTranslationService.serviceagent/AccountTranslationEndpoint1" />
	</config>

	<config name="MaintainPromiseToPay">
		<property key="serviceName" value="MaintainPromiseToPay" />
		<property key="className" value="com.truist.MainPromiseToPay.MainPromiseToPay" />
		<property key="fromUserID" value="IVR" />
		<property key="fromapplicationCode" value="IVR" />
		<property key="userName" value="eb43c3b172b7473f806d752be9258445" />
		<property key="password" value="0a05b33e4B4148F8A00F5B7Cf971Fb2a" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/paymentprocesingmaint-1-0-0-eapi-tfc/PaymentProcessingMaintenanceService" />
	</config>

	<config name="AcountInquiryWithTransactions">
		<property key="serviceName" value="AcountInquiryWithTransactions" />
		<property key="className"
			value="com.truist.creditcard.client.CreditCardTransactionInquiry" />
		<property key="clientID" value="26075bb47e8747c382593c6dadae9461" />
		<property key="clientSecret" value="6F7Cca27F45E49E48C883F2Bd7431D39" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/cardinqgatewayproxy-1-0-0-eapi-tfc/CARDS-API/Processes/ProcessStarters/SOAPStarters/AccountInquiryWithTransactions" />
	</config>

	<config name="StopPayFee">
		<property key="serviceName" value="StopPayFee" />
		<property key="className" value="com.truist.stoppayfee.client.StopPayFee" />
		<property key="Branch" value="65102" />
        <property key="MiscParam" value="127" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/StopPayFeeService.serviceagent/StopPayFeeEndpoint1" />
	</config>

	<config name="StopPayment">
		<property key="serviceName" value="StopPayment" />
		<property key="className" value="com.truist.checkservices.client.StopPayment" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_TS_COMMERCIAL/Processes/ProcessStarters/CheckServices.serviceagent/CommercialOnlinePortEndpoint1" />
	</config>

	<config name="AuthorizationInquiryService">
		<property key="serviceName" value="AuthorizationInquiryService" />
		<property key="className"
			value="com.truist.authorization.client.AuthorizationInquiryService" />
		<property key="clientID" value="26075bb47e8747c382593c6dadae9461" />
		<property key="clientSecret" value="6F7Cca27F45E49E48C883F2Bd7431D39" />
		<property key="webServicesEndpoint"
            value="https://api.eapi-prod-1.truist-prd.com/cardinqgatewayproxy-1-0-0-eapi-tfc/CARDS-API/Processes/ProcessStarters/SOAPStarters/AuthorizationInquiryService.serviceagent/AuthorizationInquiryEndpoint1" />
    </config>

	<config name="PendingTransactions">
		<property key="serviceName" value="PendingTransactions" />
		<property key="className"
			value="com.truist.pendingtransactions.client.PendingTransactionsInquiry" />
		<property key="tranID" value="UCAC" />
		<property key="instNum" value="0102" />
		<property key="acctTypeSwitch" value="D" />
		<property key="numReqSegments" value="01" />
		<property key="requestCode" value="PDTL" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PENDINGTRANS_SOAP/Processes/ProcessStarters/SOAPStarters/PendingTransactions.serviceagent/PendingTransactionsInterfaceEndpoint1" />
	</config>

	<config name="CreateExclusion">
		<property key="serviceName" value="CreateExclusion" />
		<property key="className" value="com.truist.XDayAccountLookUp.CreateExclusion" />
		<property key="key" value="GenesysOutbound-GENWSQL-PRD" />
	</config>

	<config name="InsertXDayAccount">
		<property key="serviceName" value="InsertXDayAccount" />
		<property key="className"
			value="com.truist.XDayAccountLookUp.InsertXDayAccount" />
		<property key="key" value="GenesysOutbound-GENWSQL-PRD" />
	</config>

	<config name="PhoneLookUp">
		<property key="serviceName" value="PhoneLookUp" />
		<property key="className" value="com.truist.XDayAccountLookUp.PhoneLookUp" />
		<property key="key" value="GenesysOutbound-GENWSQL-PRD" />
	</config>

	<config name="CPSPaymentUmbrellaLoan">
		<property key="webServicesTimeout" value="10000" />
		<property key="serviceName" value="CPSPaymentUmbrellaLoan" />
		<property key="className" value="com.truist.cps.payment.client.LoanPayment" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/CPSPaymentUmbrellaService.serviceagent/CPSPaymentUmbrellaEndpoint1" />
	</config>

	<config name="CIFPhoneSearch">
		<property key="className"
			value="com.truist.profile.cifphonesearch.client.CIFPhoneSearch" />
		<property key="bankNumber" value="102" />
		<property key="webServicesTimeout" value="2000" />
		<property key="majorType" value="1" />
		<property key="minorType" value="0" />
		<property key="version" value="1.0" />
		<property key="branchCostCenter" value="1887562" />
		<property key="updateMethodCode" value="N" />
		<property key="serviceName" value="clientsearch" />
		<property key="daysSinceLastChange" value="0" />
		<property key="noOfRecords" value="5" />
		<property key="clientType" value="P" />
		<property key="clientID" value="ef48b2fe03b84376afd36f969b69a5e9" />
		<property key="clientSecret" value="ECd06370B3ea42619D231C1E0465B0Fd" />
		<property key="webServicesEndpoint" value="https://api.eapi-prod-1.truist-prd.com/cifphonesearch-1-0-0-eapi-tfc/clientsearch"/>
	</config>

	<config name="RetailLoanLineInquiry">
		<property key="serviceName" value="RetailLoanLineInquiry" />
		<property key="className"
			value="com.truist.retailLoanLineInquiryClient.RetailLoanLineInquiry" />
		 <property key="CustomerBankNum" value="" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_LOANSVC_1/Processes/ProcessStarters/SOAPProcessStarters/RetailLoanLineInquiry.serviceagent/RetailLoanLineInquiryEndpoint1" />
	</config>


	<config name="TransactionListService">
		<property key="serviceName" value="TransactionListService" />
		<property key="className" value="com.truist.tls.client.TransactionListService" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_PH24IVR/Processes/ProcessStarters/SOAPServiceStarters/IVRTransactionListService.serviceagent/IVRTransactionListEndpoint1" />
	</config>

	<config name="GeneratePDF">
    	<property key="serviceName" value="GeneratePDF"/>
	    <property key="className" value="com.truist.restclient.generatepdf.GeneratePDFClient"/>
	    <property key="webServicesEndpoint" value="http://ccprod.bbtnet.com/EmailService/EmailPDFService.asmx" />
	</config>

	<config name="updatePDF">
		<property key="serviceName" value="UpdatePDF" />
		<property key="className" value="com.truist.multiplepdf.client.UpdatePDF" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_FRAUDPDF/WebServiceWizard/AccountServices/intfGenerateMultipePDFs-service.serviceagent/intfwsGenerateMultipePDFsEndpoint0" />
	</config>

	<config name="ReportArrangementLostStolen">
		<property key="serviceName" value="ReportArrangementLostStolen" />
		<property key="className"
			value="com.truist.truistivr.cardarrangementmaintenance.client.ReportArrangementLostStolen" />
		<property key="clientID" value="26075bb47e8747c382593c6dadae9461" />
		<property key="clientSecret" value="6F7Cca27F45E49E48C883F2Bd7431D39" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/cardarrangementmaint-1-0-0-eapi-tfc/CardArrangementMaintenanceService" />
	</config>

	<config name="RecordArrangementNotes">
		<property key="serviceName" value="RecordArrangementNotes" />
		<property key="className"
			value="com.truist.truistivr.cardarrangementmaintenance.client.RecordArrangementNotes" />
		<property key="clientID" value="26075bb47e8747c382593c6dadae9461" />
		<property key="clientSecret" value="6F7Cca27F45E49E48C883F2Bd7431D39" />
		<property key="webServicesEndpoint"
			value="https://api.eapi-prod-1.truist-prd.com/cardarrangementmaint-1-0-0-eapi-tfc/CardArrangementMaintenanceService" />
	</config>

	<config name="TransactionHistoryInquiry">
		<property key="serviceName" value="TransactionHistoryInquiry" />
		<property key="className" value="com.truist.thinquiry.client.TransactionHistoryInquiry" />
		<property key="IncludeHistoryFlag" value="Y" />
        <property key="TransId" value="ADCI" />
		<property key="webServicesEndpoint"
			value="http://webservices.bbtnet.com:81/TIBCO_BANKPRO_MISC/Processes/ProcessStarters/SOAPStarters/TransactionHistoryInquiry" />
	</config>

	<config name="ActivityLogging">
		<property key="serviceName" value="ActivityLogging" />
		<property key="className" value="com.truist.cleanup.JMSCallLog" />
		<property key="ChargeFlag" value="C" />
		<property key="WaiveCode" value="000" />
		<property key="Bank" value="000" />
		<property key="CTIIndicator" value="A" />
		<property key="AgentID" value="99999" />
		<property key="jmsServerUrl" value="emsprodpri.bbtnet.com:7333,emsprodsec.bbtnet.com:7333" />
		<property key="jmsQueueName" value="ClientCentral.ActivityLog" />
		<property key="jmsUser" value="" />
		<property key="jmsPassword" value="" />
		<property key="ConversionBank" value="123" />
		<property key="WaiveCode" value="000" />
		<property key="ActivitiesContinuedSwitch" value="N" />
		<property key="Center" value="46787" />
		<property key="ChannelInd" value="AR" />
		<property key="UserID" value="CDEVVRU" />
		<property key="BusPerSwitch" value="P" />
		<property key="Officer" value="12345" />
		<property key="DeliveryChannel" value="PT24" />
		<property key="InteractionStep" value="" />
		<property key="Version" value="" />
		<property key="ClosedtoPost" value="" />
		<property key="HSASwitch" value="" />
		<property key="activityflag" value="Y" />
		<property key="webServicesTimeout" value="3000" />
	</config>

	<config name="ReportCallDataLogging">
		<property key="serviceName" value="ReportCallDataLogging" />
        <property key="className" value="com.truist.truistivr.reportdatalogging.ReportCallData" />
		<property key="ChannelInd" value="AR" />
		<property key="UserID" value="CDEVVRU" />
		<property key="AppName" value="TruistIVR" />
		<property key="InteractionStep" value="1" />
		<property key="jmsServerUrl" value="emsprodpri.bbtnet.com:7333,emsprodsec.bbtnet.com:7333" />
		<property key="jmsQueueName" value="IVRDETAILS-QUEUE-ECRU" />
		<property key="jmsUser" value="" />
		<property key="jmsPassword" value="" />
		<property key="reportflag" value="Y" />
		<property key="webServicesTimeout" value="3000" />
	</config>

</PropertiesLibrary>

